net.corda.core.contracts

## Class FinanceTypesKt

- net.corda.core.contracts.FinanceTypesKt

-     public class FinanceTypesKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `calculateDaysBetween(java.time.LocalDate startDate, java.time.LocalDate endDate, DayCountBasisYear dcbYear, DayCountBasisDay dcbDay)`
    `static boolean` | `isWorkingDay(java.time.LocalDate $receiver, BusinessCalendar accordingToCalendar)`
    `static <T> Amount<T>` | `sumOrNull(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver)`
    `static <T> Amount<T>` | `sumOrThrow(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver)`
    `static <T> Amount<T>` | `sumOrZero(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver, T currency)`
    `static java.math.BigDecimal` | `toDecimal(Amount<java.util.Currency> $receiver)` Convert a currency `class Amount` to a decimal representation. For example, with an amount with a quantity of "1234" GBP, returns "12.34".

- - ### Method Detail

    - #### toDecimal

          public static java.math.BigDecimal toDecimal(Amount<java.util.Currency> $receiver)

      Convert a currency `class Amount` to a decimal representation. For example, with an amount with a quantity of "1234" GBP, returns "12.34".

      See Also:
        `class Amount`

    - #### sumOrNull

          public static <T> Amount<T> sumOrNull(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver)

    - #### sumOrThrow

          public static <T> Amount<T> sumOrThrow(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver)

    - #### sumOrZero

          public static <T> Amount<T> sumOrZero(java.lang.Iterable<net.corda.core.contracts.Amount> $receiver,
                                                T currency)

    - #### isWorkingDay

          public static boolean isWorkingDay(java.time.LocalDate $receiver,
                                             BusinessCalendar accordingToCalendar)

    - #### calculateDaysBetween

          public static int calculateDaysBetween(java.time.LocalDate startDate,
                                                 java.time.LocalDate endDate,
                                                 DayCountBasisYear dcbYear,
                                                 DayCountBasisDay dcbDay)